gsw_SA_from_Sstar {gsw} | R Documentation

## Absolute Salinity from Preformed Salinity

### Description

Calculate Absolute Salinity from Preformed Salinity, pressure, longitude, and latitude.

### Usage

    gsw_SA_from_Sstar(Sstar, p, longitude, latitude)

### Arguments

`Sstar` | Preformed Salinity [ g/kg ]
`p` | sea pressure [ dbar ]
`longitude` | longitude in decimal degrees [ 0 to 360 or -180 to 180]
`latitude` | latitude in decimal degrees [ -90 to 90 ]

### Details

If Sstar is a matrix and if its dimensions correspond to the lengths of longitude and latitude, then the latter are converted to analogous matrices with `expand.grid`.

### Value

Absolute Salinity [ g/kg ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_SA_from_Sstar.html

### See Also

`gsw_Sstar_from_SA` does the reverse.

### Examples

    gsw_SA_from_Sstar(34.7115, 10, 188, 4) # 34.711724663585905

[Package gsw version 1.0-3 Index]